Subject: [AAA-WG]: Routing of Responses?

From: "Martin Julien (ECE)" <[email-masked]>
Date: Mon, 12 Feb 2001 17:23:50 +0100

Hi,

Tell me if I'm wrong, but I thought that routing replies and answers from a Diameter node was based on: 

1) If there are Route-Record AVPs in the request (Query) message, the last Route-Record AVP is used as the first HOP destination of the reply. So the Route-Record AVPs are used until the last proxy before the originator of the request. However, from there, what AVP is used for routing to the originator node? Should the originator of request messages also include the Route-Record AVP?

2) If there is no Route-Record AVPs in the request, then the reply is sent back to the originator of the request using the Host-Name AVP of the request as the destination.

I don't know why, but the STA (in the -18 draft of the Base protocol) defines the Routing-Realm AVP in their optional AVP message structure. This is very confusing to me, since it suggests that replies might not have to go through the same proxies.

I thought that Proxy-State AVPs were not used for routing, or are they? Are we suggesting that each proxy defines a Proxy-State AVP or keeps an internal state so that it knows how to route back messages to the originator?

BR,
Martin

> -----Original Message-----
> From: David Spence [mailto:[email-masked]]
> Sent: Saturday, February 10, 2001 10:12 PM
> To: Patrice Calhoun
> Cc: [email-masked]; [email-masked]
> Subject: Re: [AAA-WG]: Host-Name and Destination-NAI AVPs
> 
> 
> I assume that messages of type Response or Answer are routed using
> information in either the Route-Record AVPs or the 
> Proxy-State AVP, but that
> messages from server to client of type Indication will 1) not contain
> Route-Record AVPs, 2) may be routed by the information 
> contained in the
> Proxy-State AVP (if present), but 3) must contain a Host-Name 
> AVP that can
> be used for routing.